=== modified file 'applets/maintained/cairo-menu/gnome-menu-builder.c'
--- applets/maintained/cairo-menu/gnome-menu-builder.c	2010-04-06 01:26:33 +0000
+++ applets/maintained/cairo-menu/gnome-menu-builder.c	2010-04-18 07:03:46 +0000
@@ -110,6 +110,12 @@
   {
     add_special_item (menu,_("Logout"),"gnome-logout","xfce4-session-logout","");
   }
+  else
+  {
+    /* hope that gnome-session-save exists; needed for GNOME 2.22, at least. */
+    add_special_item (menu, _("Logout"), "gnome-logout", "gnome-session-save",
+                      "--kill --gui");
+  }
   if (dbus_service_exists ("org.gnome.ScreenSaver"))
   {
     if (!add_special_item (menu,_("Lock Screen"),"gnome-lockscreen","gnome-screensaver-command","--lock"))

